Subject: Does wu-ftp support sub-logins?

From: [email-masked] (Mike Erwin, System Administrator)
Date: Fri, 7 Apr 1995 17:05:31 -0500

Is it possible to have a user that for all intents and purposes seems to be
an anonymous user but has access to another directory within the ftp
directory tree?  The special user would need to be authenticated by typing
in a username and password, but would NOT be able to move outside of the
chroot'ed tree that anonymous users get to see.

As per O'Reilly and Associates: an entry in the real /etc/password file:

special:*:100:100:Special Privs User:/usr/spool/ftp/special:/bin/true

would allow the username to work with ftpd,

and an associated entry in the /usr/local/spool/ftp/etc/password file:

special:Jb0GcM6heZKNY:100:100:Special Privs User:/special:/bin/true

would allow the user to enter their password to ftpd.

Does the wu version of ftpd support this feature?

Thanks for any assistance,
ME

|  "From the lightning in the sky, as it passed me flying by,
|   From the thunder and the storm, and the cloud that took the form,
|   (When the rest of heaven was blue), of a demon in my view."
| {10010 | 0111}  ˆ Veritas Aut Nihil! ˆ Heads- heads... heads?  heads!
|
|  Mike Erwin,       Development Engineer       Apple Computer, Inc.
|  [email-masked]  [email-masked]
|  Austin Internet Administrator    [email-masked]
|  Apple: 512-908-8333   Home:  512-302-0577   Other:  512-345-3537

---

From: [email-masked]
Date: Fri, 7 Apr 95 17:18:47 PDT

Check out the guestgroup directive in ftpaccess - it will do this.